@echo off

:: eburger Windows Security Utility
::
:: Created by Eric L. Howes
::            eburger68@myrealbox.com
::            http://www.staff.uiuc.edu/~ehowes/
::
:: Copyright (c) 2000-2002 Eric L. Howes
::
:: This program is free software; you can redistribute it and/or modify it under
:: the terms of the GNU General Public License as published by the Free Software
:: Foundation; either version 2, or (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful, but WITHOUT ANY
:: WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
:: A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
::
:: Some files distributed with this package may not be covered by the GNU GPL. Those
:: files remain the property of their original owners and are covered by the licenses
:: under which they were originally distributed.
::
:: All trademarks are the property of their respective owners.
::
:: You should have received a copy of the GNU General Public License along with this
:: program; see the file COPYING.  If not, write to the Free Software Foundation,
:: 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

::********************************************************************
::CHOICE Installation
::********************************************************************

:: Check for NT or 9x
if exist %WINDIR%\SYSTEM32\CONFIG goto prep-nt

:: ---------------
:: Copy choice.com
:: ---------------
:prep-9x

if exist %WINDIR%\command\choice.com goto MENU
if exist %WINDIR%\choice.com goto MENU

copy choice\choice.com %WINDIR%

goto MENU

:: ---------------
:: Copy choice.exe
:: ---------------
:prep-nt

if exist %WINDIR%\command\choice.exe goto MENU
if exist %WINDIR%\choice.exe goto MENU

copy choice\choice.exe %WINDIR%

goto MENU

::********************************************************************
:MENU
::********************************************************************

   cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

   echo       Welcome to the eburger Windows Security Utility!
   echo.
   echo                     Main Menu
   echo                     ---------
   echo.
   echo     [1] Change NETBIOS (File and Printer Sharing)
   echo           Disable or re-enable NetBIOS Over TCP/IP.   
   echo.
   echo     [2] Configure MS DCOM
   echo           Disable, re-enable, or otherwise configure Microsoft DCOM.   
   echo.
   echo     [3] Configure MS JET Security
   echo           Set Microsoft Jet Security to High, Medium, or Low.
   echo.
   echo     [4] Configure MS WS (Windows Script)
   echo           Disarm or rearm Microsoft WS in a variety of ways.
   echo.
   echo     [5] Configure BHO's (Browser Helper Objects) 
   echo           Disable or re-enable Browser Helper Objects from Registry.
   echo.
   echo     [6] Configure the HOSTS File
   echo           Toggle the HOSTS file On/Off or edit it with a text editor.
   echo.
   echo     (7) Exit
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:12345678 /n /t:8,90 Please Choose One...
   
   if errorlevel 8 goto MENU
   if errorlevel 7 goto FIN
   if errorlevel 6 goto HOSTS
   if errorlevel 5 goto BHO
   if errorlevel 4 goto WS
   if errorlevel 3 goto JET
   if errorlevel 2 goto DCOM
   if errorlevel 1 goto NETBIOS
   
   goto MENU

::********************************************************************
:NETBIOS
::********************************************************************

   cls

:: --------------------------
:: Give the available options
:: --------------------------

   echo              NetBIOS Options
   echo              ---------------
   echo.
   echo     [1] DISABLE NetBIOS Over TCP/IP
   echo           Disable NetBIOS Over TCP/IP.   
   echo.
   echo     [2] RE-ENABLE NetBIOS Over TCP/IP
   echo           Re-enable NetBIOS Over TCP/IP.
   echo.
   echo     (3) Return to Main Menu
   echo.
   echo     (4) Exit
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:12345 /n /t:5,90 Please Choose One...
   
   if errorlevel 5 goto NETBIOS
   if errorlevel 4 goto FIN
   if errorlevel 3 goto MENU
   if errorlevel 2 goto NETON
   if errorlevel 1 goto NETOFF
   
   goto NETBIOS

::*******
:NETOFF
::*******

   cls

   echo     You have elected to disable NetBIOS Over TCP/IP...

:: ------------------------------------------------------------
:: Check to see if we have Win9x or WinNT/2K.
:: ------------------------------------------------------------

   if exist %WINDIR%\system\vmm32.vxd goto NETOFF-9X
   if exist %WINDIR%\system32\config goto NETOFF-NT
   
   echo     Sorry, can't determine OS type.
   pause
   goto RETURN

::=========
:NETOFF-9X
::=========

:: ------------------------------------------------------------
:: Check if we are running Windows Me.
:: If so, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\system\sfp\Sfpdb.sfp goto NET-ERR5
   if exist %WINDIR%\system\sfp\Sfplog.txt goto NET-ERR5

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist net\vnet-off.reg goto NET-ERR1
   if not exist %WINDIR%\system\vnbt.386 goto NET-ERR2
   if not exist %WINDIR%\system\vnetbios.vxd goto NET-ERR2

:: ------------------------------------------------------------
:: Rename vnbt.386 and vnetbios.vxd
:: ------------------------------------------------------------

   ren %WINDIR%\SYSTEM\vnbt.386 vnbt.dis
   ren %WINDIR%\SYSTEM\vnetbios.vxd vnetbios.dis

:: ------------------------------------------------------------
:: Delete the ...\VXD\VNETBIOS Registry key.
:: ------------------------------------------------------------

   start /w regedit.exe /s net\vnet-off.reg

:: ------------------------------------------------------------
:: Prompt user to reboot.
:: ------------------------------------------------------------

   echo.
   echo     NetBIOS Over TCP/IP has been disabled.
   echo.
   echo     Please shutdown and reboot to finalize changes to NetBIOS Over TCP/IP...
   echo.
   goto RETURN

::=========
:NETOFF-NT
::=========

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist net\netoffnt.reg got NET-ERR4

:: ------------------------------------------------------------
:: Disable NetBIOS for WinNT/2K.
:: ------------------------------------------------------------

   start /w regedit.exe /s net\netoffnt.reg

:: ------------------------------------------------------------
:: Prompt user to reboot.
:: ------------------------------------------------------------

   echo.
   echo     NetBIOS Over TCP/IP has been disabled.
   echo.
   echo     Please shutdown and reboot to finalize changes to NetBIOS Over TCP/IP...
   echo.
   goto RETURN

::*******
:NETON
::*******

   cls

   echo     You have elected to re-enable NetBIOS Over TCP/IP...

:: ------------------------------------------------------------
:: Check to see if we have Win9x or WinNT/2K.
:: ------------------------------------------------------------

   if exist %WINDIR%\system\vmm32.vxd goto NETON-9X
   if exist %WINDIR%\system32\config goto NETON-NT
   
   echo     Sorry, can't determine OS type.
   echo.
   pause
   goto RETURN

::=========
:NETON-9X
::=========

:: ------------------------------------------------------------
:: Check if we are running Windows Me.
:: If so, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\system\sfp\Sfpdb.sfp goto NET-ERR5
   if exist %WINDIR%\system\sfp\Sfplog.txt goto NET-ERR5

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist net\vnet-on.reg goto NET-ERR1
   if not exist %WINDIR%\system\vnbt.dis goto NET-ERR3
   if not exist %WINDIR%\system\vnetbios.dis goto NET-ERR3

:: ------------------------------------------------------------
:: Rename vnbt.386 and vnetbios.vxd properly.
:: ------------------------------------------------------------

   ren %WINDIR%\SYSTEM\vnbt.dis vnbt.386
   ren %WINDIR%\SYSTEM\vnetbios.dis vnetbios.vxd

:: ------------------------------------------------------------
:: Restore the ...\VXD\VNETBIOS Registry key.
:: ------------------------------------------------------------

   start /w regedit.exe /s net\vnet-on.reg

:: ------------------------------------------------------------
:: Prompt user to reboot.
:: ------------------------------------------------------------

   echo.
   echo     NetBIOS Over TCP/IP has been re-enabled.
   echo.
   echo     Please shutdown and reboot to finalize changes to NetBIOS Over TCP/IP...
   echo.
   goto RETURN

::=========
:NETON-NT
::=========

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist net\netonnt.reg got NET-ERR4

:: ------------------------------------------------------------
:: Re-enable NetBIOS for WinNT/2K.
:: ------------------------------------------------------------

   start /w regedit.exe /s net\netonnt.reg

:: ------------------------------------------------------------
:: Prompt user to reboot.
:: ------------------------------------------------------------

   echo.
   echo     NetBIOS Over TCP/IP has been re-enabled.
   echo.
   echo     Please shutdown and reboot to finalize changes to NetBIOS Over TCP/IP...
   echo.
   goto RETURN

::=======
:NET-ERR1
::=======

   echo.
   echo     ... but a necessary file (VNET-ON.REG or VNET-OFF.REG) is missing.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::=======
:NET-ERR2
::=======

   echo.
   echo     ... but a necessary file (VNBT.386 or VNETBIOS.VXD) is missing.
   echo     NetBIOS Over TCP/IP may already be disabled. If you think this
   echo     message is in error, please correct the problem and try again.
   echo.
   goto RETURN

::=======
:NET-ERR3
::=======

   echo.
   echo     ... but a necessary file (VNBT.DIS or VNETBIOS.DIS) is missing.
   echo     NetBIOS Over TCP/IP may already be enabled. If you think this
   echo     message is in error, please correct the problem and try again.
   echo.
   goto RETURN

::=======
:NET-ERR4
::=======

   echo.
   echo     ... but a necessary file (NETOFFNT.REG or NETONNT.REG) is missing.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::=======
:NET-ERR5
::=======

   echo.
   echo     ... but it appears that you are running Windows Me. This option
   echo     will not work on Windows Me due to the System File Protection
   echo     scheme of Windows Me. 
   echo.
   echo     Please see the ReadMe for this batch file utility for advice about
   echo     how to address NetBIOS (File & Printer Sharing) vulnerabilities in
   echo     Windows Me.
   echo.
   goto RETURN

::********************************************************************
:DCOM
::********************************************************************

   cls

:: ---------------------------
:: Check for existence of DCOM
:: ---------------------------

   if exist %WINDIR%\SYSTEM\RPCSS.EXE goto DCOM-MENU
   if exist %WINDIR%\SYSTEM32\RPCSS.EXE goto DCOM-MENU
   if exist %WINDIR%\SYSTEM32\RPCSS.DLL goto DCOM-MENU
   
   goto DCOM-ERR1

::********
:DCOM-MENU
::********

cls

:: --------------------------
:: Give the available options
:: --------------------------

   echo              MS DCOM Options
   echo              ---------------
   echo.
   echo     [1] DISABLE MS DCOM
   echo           Disable Microsoft DCOM.
   echo.
   echo     [2] ENABLE MS DCOM
   echo           Re-enable Microsoft DCOM.
   echo.
   echo     [3] Configure MS DCOM with DCOMCNFG.EXE
   echo           Open the DCOMCNFG.EXE utility to configure Microsoft DCOM.
   echo.
   echo     (4) Return to Main Menu
   echo.
   echo     (5) Exit
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:123456 /n /t:6,90 Please Choose One...
   
   if errorlevel 6 goto DCOM-MENU
   if errorlevel 5 goto FIN
   if errorlevel 4 goto MENU
   if errorlevel 3 goto DCOM-UTIL
   if errorlevel 2 goto DCOM-EN
   if errorlevel 1 goto DCOM-DIS
   
   goto DCOM-MENU

::*******
:DCOM-DIS
::*******

   cls
   
   echo.
   echo     You have elected to disable DCOM...
   echo.

:: --------------------------------------------
:: Check to see what version of Windows we have
:: and go to the appropriate section.
:: --------------------------------------------

   if exist %WINDIR%\SYSTEM\RPCSS.EXE goto DCOFF-9X
   if exist %WINDIR%\SYSTEM32\RPCSS.EXE goto DCOFF-NT
   if exist %WINDIR%\SYSTEM32\RPCSS.DLL goto DCOFF-NT
   
   goto DCOM-ERR1

::=======
:DCOFF-9x
::=======

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist dcom\dcoff-9x.reg goto DCOM-ERR2A

:: ------------------------------------------------------------
:: Disable DCOM on Windows 9x.
:: ------------------------------------------------------------

   start /w regedit.exe /s dcom\dcoff-9x.reg
   
   echo.
   echo     DCOM has been disabled.
   echo.
   pause
   goto DCOM-MENU

::=======
:DCOFF-NT
::=======

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist dcom\dcoff-nt.reg goto DCOM-ERR2A

:: ------------------------------------------------------------
:: Disable DCOM on Windows NT 4.0/Windows 2000.
:: ------------------------------------------------------------

   start /w regedit.exe /s dcom\dcoff-nt.reg
   
   echo.
   echo     DCOM has been disabled.
   echo.
   pause
   goto DCOM-MENU

::******
:DCOM-EN
::******

   cls
   
   echo.
   echo     You have elected to re-enable DCOM...
   echo.

:: --------------------------------------------
:: Check to see what version of Windows we have
:: and go to the appropriate section.
:: --------------------------------------------

   if exist %WINDIR%\SYSTEM\RPCSS.EXE goto DCON-9X
   if exist %WINDIR%\SYSTEM32\RPCSS.EXE goto DCON-NT
   if exist %WINDIR%\SYSTEM32\RPCSS.DLL goto DCON-NT
   
   goto DCOM-ERR1

::======
:DCON-9X
::======

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist dcom\dcon-9x.reg goto DCOM-ERR2B

:: ------------------------------------------------------------
:: Re-enable DCOM on Windows 9x.
:: ------------------------------------------------------------

   start /w regedit.exe /s dcom\dcon-9x.reg
   
   echo.
   echo     DCOM has been re-enabled.
   echo.
   pause
   goto DCOM-MENU

::======
:DCON-NT
::======

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist dcom\dcon-nt.reg goto DCOM-ERR2B

:: ------------------------------------------------------------
:: Re-enable DCOM on Windows NT/2000.
:: ------------------------------------------------------------

   start /w regedit.exe /s dcom\dcon-nt.reg
   
   echo.
   echo     DCOM has been re-enabled.
   echo.
   pause
   goto DCOM-MENU

::********
:DCOM-UTIL
::********

   cls
   
   echo.
   echo     You have elected to configure DCOM with DCOMCNFG.EXE...
   echo.

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\DCOMCNFG.EXE goto UTIL-1 
   if exist %WINDIR%\SYSTEM\DCOMCNFG.EXE goto UTIL-2 
   if exist %WINDIR%\SYSTEM32\DCOMCNFG.EXE goto UTIL-3 
   
   goto DCOM-ERR3

::=====
:UTIL-1
::=====

:: ------------------------------------------------------------
:: Open DCOMCNFG.EXE (which should be on the Path).
:: ------------------------------------------------------------

   %WINDIR%\DCOMCNFG.EXE
   
   goto DCOM-MENU

::=====
:UTIL-2
::=====

:: ------------------------------------------------------------
:: Open DCOMCNFG.EXE (which should be on the Path).
:: ------------------------------------------------------------

   %WINDIR%\SYSTEM\DCOMCNFG.EXE
   
   goto DCOM-MENU

::=====
:UTIL-3
::=====

:: ------------------------------------------------------------
:: Open DCOMCNFG.EXE (which should be on the Path).
:: ------------------------------------------------------------

   %WINDIR%\SYSTEM32\DCOMCNFG.EXE
   
   goto DCOM-MENU

::********
:DCOM-ERR1
::********

   echo.
   echo     It doesn't appear that DCOM is installed on this computer.
   echo.
   goto RETURN

::*********
:DCOM-ERR2A
::*********

   echo.
   echo     ...but a necessary file (DCOFF-9X.REG or DCOFF-NT.REG) is missing.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::*********
:DCOM-ERR2B
::*********

   echo.
   echo     ...but a necessary file (DCON-9X.REG or DCON-NT.REG) is missing.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::********
:DCOM-ERR3
::********

   echo.
   echo     ...but a necessary file (DCOMCNFG.EXE) is missing.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::********************************************************************
:JET
::********************************************************************

cls

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\JETCOUPD.EXE goto JET-MENU 
   if exist %WINDIR%\SYSTEM\JETCOUPD.EXE goto JET-MENU 
   if exist %WINDIR%\SYSTEM32\JETCOUPD.EXE goto JET-MENU 
   
   goto JET-ERR

::*******
:JET-MENU
::*******
:: --------------------------
:: Give the available options
:: --------------------------

   echo              MS Jet Options
   echo              --------------
   echo.
   echo     [1] Set MS JET Security HIGH
   echo           Set Microsoft Jet Security to High.
   echo.
   echo     [2] Set MS JET Security MEDIUM
   echo           Set Microsoft Jet Security to Medium.
   echo.
   echo     [3] Set MS JET Security LOW
   echo           Set Microsoft Jet Security to Low.
   echo.
   echo     (4) Return to Main Menu
   echo.
   echo     (5) Exit
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:123456 /n /t:6,90 Please Choose One...
   
   if errorlevel 6 goto JET-MENU
   if errorlevel 5 goto FIN
   if errorlevel 4 goto MENU
   if errorlevel 3 goto JET-LOW
   if errorlevel 2 goto JET-MED
   if errorlevel 1 goto JET-HIGH
   
   goto JET-MENU

::*******
:JET-HIGH
::*******

   cls
   
   echo.
   echo     You have elected to set Jet security to HIGH...
   echo.

:: ------------------------------------------------------------
:: Set Jet Security to High.
:: ------------------------------------------------------------

   if exist %WINDIR%\jetcoupd.exe %WINDIR%\jetcoupd.exe /q /m:3
   if exist %WINDIR%\SYSTEM\jetcoupd.exe %WINDIR%\SYSTEM\jetcoupd.exe /q /m:3
   if exist %WINDIR%\SYSTEM32\jetcoupd.exe %WINDIR%\SYSTEM32\jetcoupd.exe /q /m:3
   
   echo.
   echo     Jet security has been set to HIGH.
   echo.
   pause
   goto MENU

::******
:JET-MED
::******

   cls
   
   echo.
   echo     You have elected to set Jet security to MEDIUM...
   echo.

:: ------------------------------------------------------------
:: Set Jet Security to Medium.
:: ------------------------------------------------------------

   if exist %WINDIR%\jetcoupd.exe %WINDIR%\jetcoupd.exe /q /m:2
   if exist %WINDIR%\SYSTEM\jetcoupd.exe %WINDIR%\SYSTEM\jetcoupd.exe /q /m:2
   if exist %WINDIR%\SYSTEM32\jetcoupd.exe %WINDIR%\SYSTEM32\jetcoupd.exe /q /m:2
   
   echo.
   echo     Jet security has been set to MEDIUM.
   echo.
   pause
   goto MENU

::******
:JET-LOW
::******

   cls
   
   echo.
   echo     You have elected to set Jet security to LOW...
   echo.

:: ------------------------------------------------------------
:: Set Jet Security to Low.
:: ------------------------------------------------------------

   if exist %WINDIR%\jetcoupd.exe %WINDIR%\jetcoupd.exe /q /d /m:0
   if exist %WINDIR%\SYSTEM\jetcoupd.exe %WINDIR%\SYSTEM\jetcoupd.exe /q /d /m:0
   if exist %WINDIR%\SYSTEM32\jetcoupd.exe %WINDIR%\SYSTEM32\jetcoupd.exe /q /d /m:0
   
   echo.
   echo     Jet security has been set to LOW.
   echo.
   pause
   goto MENU

::******
:JET-ERR
::******

   echo.
   echo     Sorry, a necessary file (JETCOUPD.EXE) is missing.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::********************************************************************
:WS
::********************************************************************

cls

:: --------------------------
:: Check for existence of WS
:: --------------------------

   if exist %WINDIR%\wscript.exe goto WS-MENU
   if exist %WINDIR%\SYSTEM32\wscript.exe goto WS-MENU 
   if exist %WINDIR%\wscript.dis goto WS-MENU
   if exist %WINDIR%\SYSTEM32\wscript.dis goto WS-MENU 

   goto WS-ERR1

::*******
:WS-MENU
::*******

cls

:: --------------------------
:: Give the available options
:: --------------------------

   echo              MS WS (Windows Script) Options
   echo              ------------------------------
   echo.
   echo     [1] DISARM MS WS Extensions
   echo           Set the default associations for WS extensions to "Unknown."
   echo.
   echo     [2] REARM MS WS Extensions
   echo           Restore the default associations for WS extensions.
   echo.
   echo     [3] DEFUSE MS WS File Types
   echo           Set the default command for WS file types to "Edit."
   echo.
   echo     [4] RESTORE MS WS File Types
   echo           Restore the default command for WS file types to "Open."
   echo.
   echo     [5] CRIPPLE/UNCRIPPLE MS WS Run Time Files (Toggle)
   echo           Rename or restore all WS .exe's and .dll's.
   echo.
   echo     (6) Return to Main Menu 
   echo.
   echo     (7) Exit
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:12345678 /n /t:8,90 Please Choose One...
   
   if errorlevel 8 goto WS-MENU
   if errorlevel 7 goto FIN
   if errorlevel 6 goto MENU
   if errorlevel 5 goto WS-FILES
   if errorlevel 4 goto FT-ON
   if errorlevel 3 goto FT-OFF
   if errorlevel 2 goto EXT-ON
   if errorlevel 1 goto EXT-OFF
   
   goto WS-MENU

::******
:EXT-OFF
::******

   cls
   
   echo.
   echo     You have elected to disarm WS extensions...
   echo.

:: ------------------------------------------------------------
:: Check if we are running Windows 2000.
:: If so, then goto the appropriate section.
:: ------------------------------------------------------------

   if exist %WINDIR%\System32\Dllcache goto 2KEX-OFF

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\ext-off.reg goto WS-ERR2A

:: ------------------------------------------------------------
:: Disarm WS extensions.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\ext-off.reg
   start /w regedit.exe /s wsh\ie-wsoff.reg

   echo.
   echo     WS extensions have been disarmed (set to "Unknown").
   echo.
   pause
   goto WS-MENU

::*******
:2KEX-OFF
::*******

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\2kex-off.reg goto WS-ERR2C

:: ------------------------------------------------------------
:: Disarm WS extensions.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\2kex-off.reg
   start /w regedit.exe /s wsh\ie-wsoff.reg

   echo.
   echo     WS extensions have been disarmed (set to "Unknown").
   echo.
   pause
   goto WS-MENU

::*****
:EXT-ON
::*****

   cls
   
   echo.
   echo     You have elected to rearm WS extensions...
   echo.

:: ------------------------------------------------------------
:: Check if we are running Windows 2000.
:: If so, then goto the appropriate section.
:: ------------------------------------------------------------

   if exist %WINDIR%\System32\Dllcache goto 2KEX-ON

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\ext-on.reg goto WS-ERR2A

:: ------------------------------------------------------------
:: Rearm WS extensions.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\ext-on.reg

   :: don't restore IE settings
:: start /w regedit.exe /s wsh\ie-wson.reg

   echo.
   echo     WS extensions have been rearmed.
   echo.
   pause
   goto WS-MENU

::******
:2KEX-ON
::******

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\2kex-on.reg goto WS-ERR2C

:: ------------------------------------------------------------
:: Rearm Windows 2000 WS extensions.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\2kex-on.reg

   :: don't restore IE settings
:: start /w regedit.exe /s wsh\ie-wson.reg

   echo.
   echo     WS extensions have been rearmed.
   echo.
   pause
   goto WS-MENU

::*****
:FT-OFF
::*****

   cls
   
   echo.
   echo     You have elected to defuse WS file types...
   echo.

:: ------------------------------------------------------------
:: Check if we are running Windows 2000.
:: If so, then goto the appropriate section.
:: ------------------------------------------------------------

   if exist %WINDIR%\System32\Dllcache goto 2KFT-OFF

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\ft-off.reg goto WS-ERR2B

:: ------------------------------------------------------------
:: Defuse WS file types.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\ft-off.reg
   start /w regedit.exe /s wsh\ie-wsoff.reg

   echo.
   echo     WS file types have been defused (set to "Edit").
   echo.
   pause
   goto WS-MENU

::*******
:2KFT-OFF
::*******

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\2kft-off.reg goto WS-ERR2D


:: ------------------------------------------------------------
:: Defuse Windows 2000 WS file types.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\2kft-off.reg
   start /w regedit.exe /s wsh\ie-wsoff.reg

   echo.
   echo     WS file types have been defused (set to "Edit").
   echo.
   pause
   goto WS-MENU


::****
:FT-ON
::****

   cls
   
   echo.
   echo     You have elected to restore WS file types...
   echo.

:: ------------------------------------------------------------
:: Check if we are running Windows 2000.
:: If so, then goto the appropriate section.
:: ------------------------------------------------------------

   if exist %WINDIR%\System32\Dllcache goto 2KFT-ON

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\ft-on.reg goto WS-ERR2B

:: ------------------------------------------------------------
:: Restore WS file types.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\ft-on.reg

   :: don't restore IE settings
:: start /w regedit.exe /s wsh\ie-wson.reg

   echo.
   echo     WS file types have been restored (set to "Open").
   echo.
   pause
   goto WS-MENU

::******
:2KFT-ON
::******

:: ------------------------------------------------------------
:: Check if we have all the appropriate files.
:: If not, then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist wsh\2kft-on.reg goto WS-ERR2D

:: ------------------------------------------------------------
:: Restore Windows 2000 WS file types.
:: ------------------------------------------------------------

   start /w regedit.exe /s wsh\2kft-on.reg

   :: don't restore IE settings
:: start /w regedit.exe /s wsh\ie-wson.reg
  
   echo.
   echo     WS file types have been restored (set to "Open").
   echo.
   pause
   goto WS-MENU

::*******
:WS-FILES
::*******

   cls
   
   if exist %WINDIR%\wscript.exe goto WS-CR
   if exist %WINDIR%\SYSTEM32\wscript.exe goto WS-CR
   if exist %WINDIR%\wscript.dis goto WS-UN
   if exist %WINDIR%\SYSTEM32\wscript.dis goto WS-UN
   
   echo.
   echo     Sorry, could not determine whether WS run time files are
   echo     currently enabled or disabled.
   echo.
   goto RETURN



::****
:WS-CR
::****

   cls
   
   echo.
   echo     You have elected to cripple WS .exe's and .dll's...
   echo.


:: -----------------------------------------
:: Check to see if we have Win9x or WinNT/2K
:: -----------------------------------------

   if exist %WINDIR%\wscript.exe goto CR-9X
   if exist %WINDIR%\SYSTEM32\wscript.exe goto CR-NT 

   goto WS-ERR1A

::****
:CR-9X
::****

:: ------------------------------------------------------------
:: Check if we are running Windows Me.
:: If so, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\system\sfp\Sfpdb.sfp goto WS-ERR3A
   if exist %WINDIR%\system\sfp\Sfplog.txt goto WS-ERR3A

:: ------------------
:: Rename Win9x files
:: ------------------

   ren %WINDIR%\COMMAND\cscript.exe cscript.dis
   ren %WINDIR%\SYSTEM\scrrun.dll scrrun.dis
   ren %WINDIR%\wscript.exe wscript.dis
   ren %WINDIR%\SYSTEM\wshext.dll wshext.dis
   ren %WINDIR%\SYSTEM\wshom.ocx wshom.dis

   :: IE 5 only
   if exist %WINDIR%\SYSTEM\mshta.exe ren %WINDIR%\SYSTEM\mshta.exe mshta.dis

:: Note: next disabled b/c files necessary for IE
:: ren %WINDIR%\SYSTEM\dispex.dll dispex.dis
:: ren %WINDIR%\SYSTEM\jscript.dll jscript.dis
:: ren %WINDIR%\SYSTEM\scrobj.dll scrobj.dis
:: ren %WINDIR%\SYSTEM\vbscript.dll vbscript.dis

   start /w regedit.exe /s wsh\ie-wsoff.reg

   echo.
   echo     WS .exe's and .dll's have been crippled.
   echo.
   pause
   goto WS-MENU

::****
:CR-NT
::****

:: ------------------------------------------------------------
:: Check if we are running Windows 2000.
:: If so, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\System32\Dllcache goto WS-ERR3B
   if exist %WINDIR%\System32\rpcss.dll goto WS-ERR3B

:: ------------------
:: Rename WinNT files
:: ------------------

   ren %WINDIR%\SYSTEM32\cscript.exe cscript.dis
   ren %WINDIR%\SYSTEM32\scrrun.dll scrrun.dis
   ren %WINDIR%\SYSTEM32\wscript.exe wscript.dis
   ren %WINDIR%\SYSTEM32\wshext.dll wshext.dis
   ren %WINDIR%\SYSTEM32\wshom.ocx wshom.dis

   :: IE 5 only
   if exist %WINDIR%\SYSTEM32\mshta.exe ren %WINDIR%\SYSTEM32\mshta.exe mshta.dis

   :: WS 5.6 only
   if exist %WINDIR%\SYSTEM32\wshcon.dll ren %WINDIR%\SYSTEM32\wshcon.dll wshcon.dis

:: Note: next disabled b/c files necessary for IE
:: ren %WINDIR%\SYSTEM32\dispex.dll dispex.dis
:: ren %WINDIR%\SYSTEM32\jscript.dll jscript.dis
:: ren %WINDIR%\SYSTEM32\scrobj.dll scrobj.dis
:: ren %WINDIR%\SYSTEM32\vbscript.dll vbscript.dis

   start /w regedit.exe /s wsh\ie-wsoff.reg

   echo.
   echo     WS .exe's and .dll's have been crippled.
   echo.
   pause
   goto WS-MENU

::****
:WS-UN
::****

   cls
   
   echo.
   echo     You have elected to restore WS .exe's and .dll's...
   echo.

:: -----------------------------------------
:: Check to see if we have Win9x or WinNT/2K
:: -----------------------------------------

   if exist %WINDIR%\wscript.dis goto UN-9X
   if exist %WINDIR%\SYSTEM32\wscript.dis goto UN-NT 

   goto WS-ERR1B

::****
:UN-9X
::****

:: ------------------------------------------------------------
:: Check if we are running Windows Me.
:: If so, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\system\sfp\Sfpdb.sfp goto WS-ERR3A
   if exist %WINDIR%\system\sfp\Sfplog.txt goto WS-ERR3A

:: -------------------
:: Restore Win9x files
:: -------------------

   ren %WINDIR%\COMMAND\cscript.dis cscript.exe
   ren %WINDIR%\SYSTEM\scrrun.dis scrrun.dll
   ren %WINDIR%\wscript.dis wscript.exe
   ren %WINDIR%\SYSTEM\wshext.dis wshext.dll
   ren %WINDIR%\SYSTEM\wshom.dis wshom.ocx

   :: IE 5 only
   if exist %WINDIR%\SYSTEM\mshta.dis ren %WINDIR%\SYSTEM\mshta.dis mshta.exe

   :: restore these next if they have been disabled
   if exist %WINDIR%\SYSTEM\dispex.dis ren %WINDIR%\SYSTEM\dispex.dis dispex.dll
   if exist %WINDIR%\SYSTEM\jscript.dis ren %WINDIR%\SYSTEM\jscript.dis jscript.dll
   if exist %WINDIR%\SYSTEM\scrobj.dis ren %WINDIR%\SYSTEM\scrobj.dis scrobj.dll
   if exist %WINDIR%\SYSTEM\vbscript.dis ren %WINDIR%\SYSTEM\vbscript.dis vbscript.dll

   :: don't restore IE settings
:: start /w regedit.exe /s wsh\ie-wson.reg

   echo.
   echo     WS .exe's and .dll's have been restored.
   echo.
   pause
   goto WS-MENU

::****
:UN-NT
::****

:: ------------------------------------------------------------
:: Check if we are running Windows 2000.
:: If so, then goto the appropriate error message.
:: ------------------------------------------------------------

   if exist %WINDIR%\System32\Dllcache goto WS-ERR3B
   if exist %WINDIR%\System32\rpcss.dll goto WS-ERR3B

:: -------------------
:: Restore WinNT files
:: -------------------

   ren %WINDIR%\SYSTEM32\cscript.dis cscript.exe
   ren %WINDIR%\SYSTEM32\scrrun.dis scrrun.dll
   ren %WINDIR%\SYSTEM32\wscript.dis wscript.exe
   ren %WINDIR%\SYSTEM32\wshext.dis wshext.dll
   ren %WINDIR%\SYSTEM32\wshom.dis wshom.ocx

   :: IE 5 only
   if exist %WINDIR%\SYSTEM32\mshta.dis ren %WINDIR%\SYSTEM32\mshta.dis mshta.exe

   :: WS 5.6 only
   if exist %WINDIR%\SYSTEM32\wshcon.dis ren %WINDIR%\SYSTEM32\wshcon.dis wshcon.dll

   :: restore these next if they have been disabled
   if exist %WINDIR%\SYSTEM32\dispex.dis ren %WINDIR%\SYSTEM32\dispex.dis dispex.dll
   if exist %WINDIR%\SYSTEM32\jscript.dis ren %WINDIR%\SYSTEM32\jscript.dis jscript.dll
   if exist %WINDIR%\SYSTEM32\scrobj.dis ren %WINDIR%\SYSTEM32\scrobj.dis scrobj.dll
   if exist %WINDIR%\SYSTEM32\vbscript.dis ren %WINDIR%\SYSTEM32\vbscript.dis vbscript.dll

   :: don't restore IE settings
:: start /w regedit.exe /s wsh\ie-wson.reg

   echo.
   echo     WS .exe's and .dll's have been restored.
   echo.
   pause
   goto WS-MENU

::******
:WS-ERR1
::******

   echo.
   echo     It doesn't appear that WS is installed on this computer.
   echo.
   goto RETURN

::*******
:WS-ERR1A
::*******

   echo.
   echo     ...but it appears that WS .exe's and .dll's are already crippled.
   echo.
   pause
   goto WS-MENU

::*******
:WS-ERR1B
::*******

   echo.
   echo     ...but it appears that WS .exe's and .dll's are already properly restored.
   echo.
   pause
   goto WS-MENU

::*******
:WS-ERR2A
::*******

   echo.
   echo     ...but a necessary file (EXT-OFF.REG or EXT-ON.REG) could not be found.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::*******
:WS-ERR2B
::*******

   echo.
   echo     ...but a necessary file (FT-OFF.REG or FT-ON.REG) could not be found.
   echo     Please correct the problem and try again.
   echo.
   goto RETURN

::*******
:WS-ERR2C
::*******

   echo.
   echo     ...but a necessary file (2KEX-OFF.REG or 2KEX-ON.REG) could not be found.
   echo     Please correct the problem and try again.
   echo.
   pause
   goto WS-MENU

::*******
:WS-ERR2D
::*******

   echo.
   echo     ...but a necessary file (2KFT-OFF.REG or 2KFT-ON.REG) could not be found.
   echo     Please correct the problem and try again.
   echo.
   pause
   goto WS-MENU

::*******
:WS-ERR3A
::*******

   echo.
   echo     ... but it appears that you are running Windows Me. This option
   echo     will not work on Windows Me due to the System File Protection
   echo     scheme of Windows Me. 
   echo.
   echo     To disable/re-enable WS in Windows Me, please use options 1-4 
   echo     from the WS Menu.
   echo.
   pause
   goto WS-MENU

::*******
:WS-ERR3B
::*******

   echo.
   echo     ... but it appears that you are running Windows 2000. This option
   echo     will not work on Windows 2000 due to the System File Protection
   echo     scheme of Windows 2000. 
   echo.
   echo     To disable/re-enable WS in Windows 2000, please use options 1-4
   echo     from the WS Menu.
   echo.
   pause
   goto WS-MENU

::********************************************************************
:BHO
::********************************************************************

::*******
:BHO-MENU
::*******

   cls

:: --------------------------
:: Give the available options
:: --------------------------

   echo            BHO (Browser Helper Objects) Options
   echo            ------------------------------------
   echo.
   echo     [1] VIEW Current BHO's
   echo           See what BHO's are currently loading in the Registry.
   echo.
   echo     [2] DISABLE All BHO's
   echo           Disable all BHO's in the Registry.
   echo.
   echo     [3] RE-ENABLE All BHO's
   echo           Re-enable all BHO's in the Registry.
   echo.
   echo     (4) Return to Main Menu
   echo.
   echo     (5) Exit 
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:123456 /n /t:6,90 Please Choose One...
   
   if errorlevel 6 goto BHO-MENU
   if errorlevel 5 goto FIN
   if errorlevel 4 goto MENU
   if errorlevel 3 goto BHO-ON
   if errorlevel 2 goto BHO-OFF
   if errorlevel 1 goto BHO-VIEW
   
   goto BHO-MENU

::*******
:BHO-VIEW
::*******

   cls

   echo     You have elected to view the BHO's currently loading in the Registry...

:: ------------------------------------------------------------
:: Check if we have any "view" files left lying around.
:: If so, then delete them.
:: ------------------------------------------------------------

   if exist bho-view.reg del bho-view.reg
   if exist bho-view.txt del bho-view.txt

:: ------------------------------------------------------------
:: Export the BHO Registry key to a temp .REG file.
:: ------------------------------------------------------------

  start /w regedit /e bho-view.reg "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Browser Helper Objects"

:: ------------------------------------------------------------
:: Check to make sure the .REG file exported properly.
:: If not, then goto BHO-VB.
:: ------------------------------------------------------------

   if not exist bho-view.reg goto BHO-VB

:: ------------------------------------------------------------
:: Combine .REG file with bhotext1.txt.
:: ------------------------------------------------------------

   :: copy bho-view.reg+bho\bhotext1.txt bho-view.txt 
   type bho-view.reg > bho-view.txt 
   type bho\bhotext1.txt >> bho-view.txt 

:: ------------------------------------------------------------
:: Use Notepad to view the text file.
:: ------------------------------------------------------------

   notepad.exe bho-view.txt

:: ------------------------------------------------------------
:: Clean up after viewing & return to BHO menu.
:: ------------------------------------------------------------

   del bho-view.reg
   del bho-view.txt

   goto BHO-MENU

::*****
:BHO-VB
::*****

:: ------------------------------------------------------------
:: Now check for bhoback.reg.
:: ------------------------------------------------------------

   if not exist bhoback.reg goto BHO-ERR1

:: ------------------------------------------------------------
:: Combine .REG file with bhotext2.txt.
:: ------------------------------------------------------------

   copy bhoback.reg+bho\bhotext2.txt bho-view.txt

:: ------------------------------------------------------------
:: Use Notepad to view the text file.
:: ------------------------------------------------------------

   notepad.exe bho-view.txt

:: ------------------------------------------------------------
:: Clean up after viewing & return to BHO menu.
:: ------------------------------------------------------------

   del bho-view.txt

   goto BHO-MENU

::******
:BHO-OFF
::******

   cls

   echo     You have elected to disable all BHO's in the Registry...

:: ------------------------------------------------------------
:: Check to make sure that we have all the necessary files.
:: If not then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist bho\bho-del.reg goto BHO-ERR2

:: ------------------------------------------------------------
:: Back up the current BHO key to a .REG file.
:: ------------------------------------------------------------

  start /w regedit /e bhotmp.reg "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Browser Helper Objects"

:: ------------------------------------------------------------
:: Check to make sure the .REG file exported properly.
:: If not, then goto appropriate error message.
:: ------------------------------------------------------------

   if not exist bhotmp.reg goto BHO-ERR3

::-------------------------------------------------------------
:: Delete oldest backup and adjust all remaining
:: backup files accordingly.
::-------------------------------------------------------------

   if exist bhoback4.reg del bhoback4.reg
   if exist bhoback3.reg ren bhoback3.reg bhoback4.reg
   if exist bhoback2.reg ren bhoback2.reg bhoback3.reg
   if exist bhoback1.reg ren bhoback1.reg bhoback2.reg
   if exist bhoback.reg ren bhoback.reg bhoback1.reg
   if exist bhotmp.reg ren bhotmp.reg bhoback.reg

:: ------------------------------------------------------------
:: Whack the BHO Registry key.
:: ------------------------------------------------------------

   start /w regedit.exe /s bho\bho-del.reg

   echo.
   echo     All BHO's have been backed up (BHOBACK.REG) and then
   echo     disabled in the Registry. 
   echo.
   pause
   goto BHO-MENU


::*****
:BHO-ON
::*****

   cls

   echo     You have elected to re-enable all the BHO's that you
   echo     previously disabled in the Registry...

:: ------------------------------------------------------------
:: Check to make sure that we have all the necessary files.
:: If not then goto the appropriate error message.
:: ------------------------------------------------------------

   if not exist bhoback.reg goto BHO-ERR4

:: ------------------------------------------------------------
:: Restore the most recent BHO .REG backup.
:: ------------------------------------------------------------

   start /w regedit.exe /s bhoback.reg

::-------------------------------------------------------------
:: Delete most recent backup and adjust all remaining
:: backup files accordingly.
::-------------------------------------------------------------

   del bhoback.reg
   if exist bhoback1.reg ren bhoback1.reg bhoback.reg
   if exist bhoback2.reg ren bhoback2.reg bhoback1.reg
   if exist bhoback3.reg ren bhoback3.reg bhoback2.reg
   if exist bhoback4.reg ren bhoback4.reg bhoback3.reg

   echo.
   echo     All BHO's from your most recent backup have been
   echo     re-enabled in the Registry.
   echo.
   pause
   goto BHO-MENU

::*******
:BHO-ERR1
::*******

   echo.
   echo     ...but unfortunately there was a problem viewing the BHO Registry key.
   echo     It may not exist, meaning that no BHO's are currently installed.
   echo.
   echo     A backup of your BHO Registry key could also not be found.
   echo.

   goto RETURN

::*******
:BHO-ERR2
::*******

   echo.
   echo     ...but unfortunately a necessary file (BHO-DEL.REG) is missing.
   echo.
   echo     Please correct the problem and try again.
   echo.

   goto RETURN

::*******
:BHO-ERR3
::*******

   echo.
   echo     ...but unfortunately there was a problem backing up the current
   echo     BHO Registry key. The BHO Registry key may not exist, meaning
   echo     that there are no BHO's to remove from the Registry.
   echo.
   echo     No BHO's have been removed from the Registry.
   echo.

   goto RETURN

::*******
:BHO-ERR4
::*******

   echo.
   echo     ...but unfortunately a backup of your BHO Registry key (BHOBACK.REG)
   echo     could not be found. No BHO's have been restored to the Registry. 
   echo.
   echo     Please correct the error and try again.
   echo.

   goto RETURN


::********************************************************************
:HOSTS
::********************************************************************

::****
:HMENU
::****

   cls

:: --------------------------
:: Give the available options
:: --------------------------

   echo              HOSTS Options
   echo              -------------
   echo.
   echo     [1] Toggle HOSTS File On/Off
   echo           Disable or re-enable the HOSTS file.
   echo.
   echo     [2] Edit HOSTS File
   echo           Open the HOSTS file with a text editor.
   echo.
   echo     (3) Return to Main Menu
   echo.
   echo     (4) Exit 
   echo.

:: ----------
:: Get choice
:: ----------

   choice /c:12345 /n /t:5,90 Please Choose One...
   
   if errorlevel 5 goto HMENU
   if errorlevel 4 goto FIN
   if errorlevel 3 goto MENU
   if errorlevel 2 goto HEDIT
   if errorlevel 1 goto HTOGGLE
   
   goto HMENU

::******
:HTOGGLE
::******

   cls
   
   if exist %WINDIR%\HOSTS.DIS goto H9X-EN
   if exist %WINDIR%\HOSTS goto H9X-DIS
   if exist %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS.DIS goto HNT-EN
   if exist %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS goto HNT-DIS
   
   echo.
   echo     Sorry, could not locate a HOSTS file to disable or re-enable.
   echo.
   goto RETURN

::******
:H9X-DIS
::******

   ren %WINDIR%\HOSTS HOSTS.DIS
   
   echo.
   echo     HOSTS is now disabled.
   echo.
   pause
   goto HMENU

::*****
:H9X-EN
::*****

   ren %WINDIR%\HOSTS.DIS HOSTS
   
   echo.
   echo     HOSTS is now re-enabled.
   echo.
   pause
   goto HMENU

::******
:HNT-DIS
::******

   ren %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS HOSTS.DIS
   
   echo.
   echo     HOSTS is now disabled.
   echo.
   pause
   goto HMENU

::*****
:HNT-EN
::*****

   ren %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS.DIS HOSTS
   
   echo.
   echo     HOSTS is now re-enabled.
   echo.
   pause
   goto HMENU

::****
:HEDIT
::****

   cls
   
   if exist %WINDIR%\HOSTS.DIS goto HOPEN1
   if exist %WINDIR%\HOSTS goto HOPEN2
   if exist %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS.DIS goto HOPEN3
   if exist %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS goto HOPEN4
   
   echo.
   echo     Sorry, could not locate a HOSTS file to edit.
   echo.
   goto RETURN


::*****
:HOPEN1
::*****

   echo.
   echo     The HOSTS file you will be editing is currently DISABLED...
   echo.
   pause

   notepad.exe %WINDIR%\HOSTS.DIS
   
   goto HMENU

::*****
:HOPEN2
::*****

   echo.
   echo     The HOSTS file you will be editing is currently ENABLED...
   echo.
   pause

   notepad.exe %WINDIR%\HOSTS
   
   goto HMENU

::*****
:HOPEN3
::*****

   echo.
   echo     The HOSTS file you will be editing is currently DISABLED...
   echo.
   pause
   
   notepad.exe %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS.DIS
   
   goto HMENU

::*****
:HOPEN4
::*****

   echo.
   echo     The HOSTS file you will be editing is currently ENABLED...
   echo.
   pause

   notepad.exe %WINDIR%\SYSTEM32\DRIVERS\ETC\HOSTS
   
   goto HMENU

::********************************************************************
:ERROR
::********************************************************************

   echo.
   echo.
   echo     An error ocurred while performing this task...
   goto RETURN

::********************************************************************
:SUCCESS
::********************************************************************
  
   echo.
   echo.
   echo     SUCCESS!!
   pause
   goto MENU

::********************************************************************
:return
::********************************************************************
  
:: -----------------
:: Give Choice Again
:: -----------------

   echo.
   echo.
   echo     What Do You Want to Do Now?
   echo.
   echo     [1] Return to Main Menu
   echo     [2] Exit
   echo.

   choice /c:123 /n /t:1,90

   if errorlevel 3 goto RETURN
   if errorlevel 2 goto FIN
   if errorlevel 1 goto MENU

::********************************************************************
:FIN
::********************************************************************

   cls

   echo.
   echo.
   echo     You have chosen to EXIT the eburger Windows Security Utility.
   echo.
   echo.
   echo     Bye for now...
   echo.
   echo.
